<template>
  <mt-affichable :id="id" :affichage="affichage">
    <b-carousel v-model="slide" :autoplay="false" :arrow="false">
      <b-carousel-item>
        <mt-participer-slide1 @next="slide = 1" @close="$emit('close')"></mt-participer-slide1>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide2 @next="slide = 2" @previous="slide = 0" @close="$emit('close')"></mt-participer-slide2>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide3 @previous="slide = 1" @close="$emit('close')"></mt-participer-slide3>
      </b-carousel-item>
    </b-carousel>
  </mt-affichable>
</template>

<script>
import MtParticiperSlide1 from '~/components/nouveaute/evol20210601/slide1';
import MtParticiperSlide2 from '~/components/nouveaute/evol20210601/slide2';
import MtParticiperSlide3 from '~/components/nouveaute/evol20210601/slide3';
import MtAffichable from '~/components/nouveaute/affichable';

export default {
  name: 'MtNouveauteParticiper',
  components: {
    MtAffichable,
    MtParticiperSlide3,
    MtParticiperSlide2,
    MtParticiperSlide1,
  },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    id: {
      type: String,
      default: '01/06/2021',
      required: true,
    },
  },
  data() {
    return {
      slide: 0,
    };
  },
};
</script>

<style scoped lang="scss">
/deep/ {
  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }
}
</style>
